//
//  ViewController.swift
//  drawRect_rectangle
//
//  Created by yoshiyuki oshige on 2015/09/16.
//  Copyright © 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        // 初期値で描いた四角形
        let box1 = BoxView()
        box1.frame = CGRect(x: 50, y: 100, width: 100, height: 80)
        view.addSubview(box1)
        
        // 塗り色、線の色と幅を変更した四角形
        let box2 = BoxView()        
        box2.frame = CGRect(x: 180, y: 100, width: 100, height: 100)
        box2.fillColor = UIColor.lightGrayColor()
        box2.lineColor = UIColor.blueColor()
        box2.lineWidth = 20.0
        view.addSubview(box2)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

